> ## Documentation Index
> Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Content

> Retrieves approved content for up to 50 Solana token mint addresses



## OpenAPI

````yaml openapi-spec/content/content.yaml get /content
openapi: 3.1.0
info:
  title: Jupiter Content API
  version: 1.0.0
  description: Jupiter Content API Schema
servers:
  - url: https://api.jup.ag/tokens/v2
    description: Jupiter Content API endpoint
security: []
paths:
  /content:
    get:
      tags:
        - Content
      summary: Get content for multiple mints
      description: Retrieves approved content for up to 50 Solana token mint addresses
      parameters:
        - schema:
            type: string
            description: Comma-separated list of Solana mint addresses (max 50)
            example: >-
              JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN,So11111111111111111111111111111111111111112
          required: true
          description: Comma-separated list of Solana mint addresses (max 50)
          name: mints
          in: query
      responses:
        '200':
          description: Successfully retrieved content for the specified mints
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultipleMintsResponse'
        '400':
          description: Invalid mint addresses provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    MultipleMintsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ContentByMint'
      required:
        - data
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
    ContentByMint:
      type: object
      properties:
        mint:
          type: string
        contents:
          type: array
          items:
            $ref: '#/components/schemas/ContentItem'
        tokenSummary:
          $ref: '#/components/schemas/TokenSummary'
        newsSummary:
          $ref: '#/components/schemas/NewsSummary'
      required:
        - mint
        - contents
        - tokenSummary
        - newsSummary
    ContentItem:
      type: object
      properties:
        contentId:
          type: string
        content:
          type: string
        contentType:
          type: string
          enum:
            - text
            - tweet
        status:
          type: string
          enum:
            - pending
            - approved
          example: approved
        source:
          type:
            - string
            - 'null'
        submittedAt:
          type: string
        submittedBy:
          $ref: '#/components/schemas/User'
        updatedAt:
          type:
            - string
            - 'null'
        updatedBy:
          $ref: '#/components/schemas/User'
        postedAt:
          type:
            - string
            - 'null'
      required:
        - contentId
        - content
        - contentType
        - status
        - source
        - submittedAt
        - submittedBy
        - updatedAt
        - updatedBy
        - postedAt
    TokenSummary:
      type:
        - object
        - 'null'
      properties:
        summaryFull:
          type:
            - string
            - 'null'
        summaryShort:
          type:
            - string
            - 'null'
        updatedAt:
          type: string
        citations:
          type: array
          items:
            type: string
      required:
        - summaryFull
        - summaryShort
        - updatedAt
        - citations
    NewsSummary:
      type:
        - object
        - 'null'
      properties:
        summaryFull:
          type:
            - string
            - 'null'
        summaryShort:
          type:
            - string
            - 'null'
        updatedAt:
          type: string
        citations:
          type: array
          items:
            type: string
      required:
        - summaryFull
        - summaryShort
        - updatedAt
        - citations
    User:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
        username:
          type:
            - string
            - 'null'
        role:
          type:
            - string
            - 'null'
      required:
        - id
        - username
        - role
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Get API key via https://developers.jup.ag/portal

````